init_rs
Prev | Chapter 5. Public Functions Provided | Next

## Name

init_rs — Find a matching or allocate a new rs control structure

## Synopsis

`struct rs_control * init_rs (` | int | symsize,
| int | gfpoly,
| int | fcr,
| int | prim,
| int | nroots`)`;

## Arguments

`symsize`

  the symbol size (number of bits)

`gfpoly`

  the extended Galois field generator polynomial coefficients, with the 0th coefficient in the low order bit. The polynomial must be primitive;

`fcr`

  the first consecutive root of the rs code generator polynomial in index form

`prim`

  primitive element to generate polynomial roots

`nroots`

  RS code generator polynomial degree (number of roots)

Prev | Up | Next
free_rs | Home | init_rs_non_canonical